be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

## Enum CDORTHOAPPROACHvalues

- java.lang.Object
- - java.lang.Enum<CDORTHOAPPROACHvalues>
  - - be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDORTHOAPPROACHvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDORTHOAPPROACHvalues>

      public enum CDORTHOAPPROACHvalues
      extends Enum<CDORTHOAPPROACHvalues>

  Java class for CD-ORTHO-APPROACHvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-ORTHO-APPROACHvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="lateral"/>
           <enumeration value="posterior"/>
           <enumeration value="anterior"/>
           <enumeration value="bytrochanterotomy"/>
           <enumeration value="withfemoralosteotomy"/>
           <enumeration value="other"/>
           <enumeration value="subvastus"/>
           <enumeration value="midvastus"/>
           <enumeration value="parapatellarlateral"/>
           <enumeration value="parapatellarmedial"/>
           <enumeration value="tuberositasosteotomie"/>
           <enumeration value="antelateral"/>
           <enumeration value="postlateral"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANTELATERAL`
    `ANTERIOR`
    `BYTROCHANTEROTOMY`
    `LATERAL`
    `MIDVASTUS`
    `OTHER`
    `PARAPATELLARLATERAL`
    `PARAPATELLARMEDIAL`
    `POSTERIOR`
    `POSTLATERAL`
    `SUBVASTUS`
    `TUBEROSITASOSTEOTOMIE`
    `WITHFEMORALOSTEOTOMY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDORTHOAPPROACHvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDORTHOAPPROACHvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDORTHOAPPROACHvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LATERAL

          public static final CDORTHOAPPROACHvalues LATERAL

    - #### POSTERIOR

          public static final CDORTHOAPPROACHvalues POSTERIOR

    - #### ANTERIOR

          public static final CDORTHOAPPROACHvalues ANTERIOR

    - #### BYTROCHANTEROTOMY

          public static final CDORTHOAPPROACHvalues BYTROCHANTEROTOMY

    - #### WITHFEMORALOSTEOTOMY

          public static final CDORTHOAPPROACHvalues WITHFEMORALOSTEOTOMY

    - #### OTHER

          public static final CDORTHOAPPROACHvalues OTHER

    - #### SUBVASTUS

          public static final CDORTHOAPPROACHvalues SUBVASTUS

    - #### MIDVASTUS

          public static final CDORTHOAPPROACHvalues MIDVASTUS

    - #### PARAPATELLARLATERAL

          public static final CDORTHOAPPROACHvalues PARAPATELLARLATERAL

    - #### PARAPATELLARMEDIAL

          public static final CDORTHOAPPROACHvalues PARAPATELLARMEDIAL

    - #### TUBEROSITASOSTEOTOMIE

          public static final CDORTHOAPPROACHvalues TUBEROSITASOSTEOTOMIE

    - #### ANTELATERAL

          public static final CDORTHOAPPROACHvalues ANTELATERAL

    - #### POSTLATERAL

          public static final CDORTHOAPPROACHvalues POSTLATERAL

  - ### Method Detail

    - #### values

          public static CDORTHOAPPROACHvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDORTHOAPPROACHvalues c : CDORTHOAPPROACHvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDORTHOAPPROACHvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDORTHOAPPROACHvalues fromValue(String v)

Connector Packaging PERSLOGOPEDIST 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.